{======= Created by : ChriB ====================================================
You don't have to install AligningPanel to check how it works. Just fire this
sample application that uses AligningPanel as dynamic object and see how it 
works. You can even debug its working. If you decide to use the AligningPanel 
component just point the AlPanel.pas unit in component-install window and 
install it.                                                              *Enjoy*
===============================================================================}
unit TestUnit;

interface

uses
  StdCtrls, Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, AlPanel, ExtCtrls;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
   Panel : TAligningPanel;
   Btn   : TButton;
   Bvl   : TBevel;
   Pnl   : TPanel;
   Lbl   : TLabel;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 Panel                  := TAligningPanel.Create(Form1);
 Panel.Parent           := Form1;
 Panel.Align            := alClient;
 Panel.MinHeight        := 260;
 Panel.MinWidth         := 420;
 Panel.SizePanelsBevels := true;
 Panel.GlueLabels       := true; 
 Panel.AligningActive   := true; 
 Btn                    := TButton.Create(Panel);
 Btn.Parent             := Panel;
 Btn.Left               := 100;
 Btn.width              := 100;
 Btn.Top                := 50;
 Btn.Caption            := 'left=' + IntToStr(Btn.Left)+ ',top=' + InttoStr(Btn.Top);
 Btn.Tag                := Form1.Width;
 Btn.OnClick            := Button1Click;
 Bvl                    := TBevel.Create(Panel);
 Bvl.Parent             := Panel;
 Bvl.Left               := 10;
 Bvl.Top                := 10;
// Bvl.Align              := alLeft;
 Pnl                    := TPanel.Create(Panel);
 Pnl.Parent             := Panel;
 Pnl.Top                := 110;
 Pnl.Left               := 10;
 Lbl                    := TLabel.Create(Panel);
 Lbl.Parent             := Panel;
 Lbl.Left               := 10;
 Lbl.top                := 90;
 Lbl.Caption            := 'Label';
 Lbl.FocusControl       := Pnl;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
 Btn.Free;
 Panel.Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Form1.Width := Btn.Tag;
 Btn.Caption  := 'left=' + IntToStr(Btn.Left)+ ',top=' + InttoStr(Btn.Top);
end;

procedure TForm1.FormResize(Sender: TObject);
begin
 Form1.Caption := 'Panel:(Width=' + IntToStr(Panel.Width) 
                + ' ; Height='    + IntToStr(Panel.Height) + ') ';
{                + 'Btn:(Left='    + IntToStr(Btn.Left)
                + ' ; Top='       + IntToStr(Btn.Top)  + ')';}
end;

end.
 